Name:           eris
Version:        1.3.12
Release:        1%{?dist}
Summary:        Client-side session layer for Atlas-C++

Group:          Development/Libraries
License:        GPL
URL:            http://worldforge.org/dev/eng/libraries/eris
Source0:        http://dl.sourceforge.net/worldforge/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  wfmath-devel skstream-devel atlascpp-devel doxygen
BuildRequires:  libsigc++20-devel glib-devel

%description
A client side session layer for WorldForge; Eris manages much of the generic
work required to communicate with an Atlas server. Client developers can extend
Eris in a number of ways to rapidly add game and client specific functions, and
quickly tie game objects to whatever output representation they are using.


%package devel
Summary:        Development files for Eris
Group:   Development/Libraries
Requires: pkgconfig %{name} = %{version}-%{release} atlascpp-devel skstream-devel wfmath-devel libsigc++20-devel


%description devel
Libraries and header files for developing applications that use Eris.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}
make doc


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib%{name}-1.3.la

%check
# Don't run the tests.  They seem to hang sometimes.  This will
# be reenabled once upstream has a fix.
#make check


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog CHANGES-1.4 COPYING NEWS README TODO
%{_libdir}/lib%{name}-1.3.so.*


%files devel
%defattr(-,root,root,-)
%doc docs/html/*
%{_includedir}/Eris-1.3
%{_libdir}/lib%{name}-1.3.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Mon Jan 29 2007 Wart <wart at kobold.org> 1.3.12-1
- Update to 1.3.12

* Thu Oct 19 2006 Wart <wart at kobold.org> 1.3.11-9
- Rebuild for newer version of skstream

* Sun Aug 27 2006 Wart <wart at kobold.org> 1.3.11-8
- Rebuild for newer version of wfmath

* Thu Aug 17 2006 Wart <wart at kobold.org> 1.3.11-7
- Added missing -devel Requires: libsigc++20-devel

* Thu Jul 27 2006 Wart <wart at kobold.org> 1.3.11-6
- Disable 'make check' due to hanging tests in the fedora buildsys

* Thu Jul 27 2006 Wart <wart at kobold.org> 1.3.11-5
- Missed one other reference to Atlas-C++

* Thu Jul 27 2006 Wart <wart at kobold.org> 1.3.11-4
- Changed Atlas BR: to atlascpp.

* Thu Jul 27 2006 Wart <wart at kobold.org> 1.3.11-3
- Remove unnecessary comment
- Bump release to fix tagging problem.

* Fri Jul 14 2006 Wart <wart at kobold.org> 1.3.11-2
- Fixed changelog version string
- Removed BR: pkgconfig
- Added BR: glib-devel

* Fri Jul 7 2006 Wart <wart at kobold.org> 1.3.11-1
- Update to 1.3.11

* Wed Jun 14 2006 Wart <wart at kobold.org> 1.3.10-1
- Initial spec file for Fedora Extras
